Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

Magento v2_Soap Error v1.5.0 stable and v1.4.2.0
 
Croconoster
Jr. Member
 
Total Posts:  3
Joined:  2011-02-07
 

Before today my Magento soap worked fine, i could do a logon and a session string would be returned. I have tried the same thing today and it did not work. version 1.4.2.0

I have tried to connect to 2 different Domains, with each set up with magento and i get the same error.

Can anyone tell me why that would be?

this is the error i am getting.
{\"Possible SOAP version mismatch: Envelope namespace http://schemas.xmlsoap.org/wsdl/ was unexpected. Expecting http://schemas.xmlsoap.org/soap/envelope/.\"}

and this is the code i use with Web Reference

string url \"Url\";
    
string apiUser \"User\";
    
string apiKey \"Key\";   
    
_magentoService = new MagentoService();
                            
_magentoService.Url url;
                            var 
logOn _magentoService.login(apiUserapiKey);
                            
string logon2 logOn.ToString();

The same problem with version 1.5 stable

Everything worked fine about a month ago, i could create a connection ect.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Ebuntu
Sr. Member
 
Avatar
Total Posts:  245
Joined:  2010-06-16
Denver, CO
 

I wouldn’t mess with core files, if I were you. The problem is your server and not Magento.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Croconoster
Jr. Member
 
Total Posts:  3
Joined:  2011-02-07
 

I havent touched the core files, i dont have access to them, u using asp.net C# and calling a web reference that does not work for 1.4.2.0 and 1.5.0.0 but it does for 1.4.1.1

 
Magento Community Magento Community
Magento Community
Magento Community
 
Croconoster
Jr. Member
 
Total Posts:  3
Joined:  2011-02-07
 

SOLVED!!!!!!!!!

If you are having problems with the soap error do not use the api/v2_soap?wsdl, remove the ?wsdl so your connection should be something like this:

http://www.yourdomain.com/index.php/api/v2_soap

and not

http://www.yourdomain.com/index.php/api/v2_soap?wsdl or
http://www.yourdomain.com/index.php/api/v2_soap?wsdl=1

http://stackoverflow.com/questions/2062722/problem-regarding-consuming-php-web-service-in-c-desktop-application

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top